## org.ascape.view.nonvis
Class NonGraphicViewDelegate

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.model.event.ScapeListenerDelegate
              org.ascape.view.nonvis.NonGraphicViewDelegate

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

    public class NonGraphicViewDelegate

extends ScapeListenerDelegate

Manages the relationship between a nongraphic view and its scape, including listener registeration and managing calling appopriate view methods for scape events.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`NonGraphicViewDelegate()` Constructs the NonGraphicViewDelegate.
`NonGraphicViewDelegate(ScapeListener scapeListener)` Constructs the NonGraphicViewDelegate.

Method Summary
`void` `scapeNotification(ScapeEvent scapeEvent)` Super method notifies this view that something has happened on the scape.

Methods inherited from class org.ascape.model.event.ScapeListenerDelegate
`getScapeListener, notifyScapeUpdated, scapeRemoved, setScapeListener, toString`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getName, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonGraphicViewDelegate

    public NonGraphicViewDelegate()

  Constructs the NonGraphicViewDelegate.

### NonGraphicViewDelegate

    public NonGraphicViewDelegate(ScapeListener scapeListener)

  Constructs the NonGraphicViewDelegate.

  Parameters:
    `scapeListener` - the view this delegate is managing scape relationships for

Method Detail

### scapeNotification

    public void scapeNotification(ScapeEvent scapeEvent)

  Super method notifies this view that something has happened on the scape. by calling updateScapeGraphics and then notifies the scape that this view has been updated.

  Specified by:
    `scapeNotification` in interface `ScapeListener`
  Overrides:
    `scapeNotification` in class `ScapeListenerDelegate`
  Parameters:
    `scapeEvent` - a scape event update